(resolu)NDISWRAPPER 2.6.10


#1

Salut,

je fais un topic à part du premier sur ndiswrapper, à la fin on mélange tout.

J’ai compilé la version 1.0 de ndiswrapper sans probleme.
Ma carte wifi est reconnue:

[quote]wlan0 IEEE 802.11g ESSID:off/any
Mode:Managed Frequency:2.437 GHz Access Point: 00:00:00:00:00:00
Bit Rate:54 Mb/s Tx-Power:16 dBm
RTS thr:2347 B Fragment thr:2346 B
Encryption key:A3C5-****-** Security mode:restricted
Power Management:off
Link Quality:100/100 Signal level:-10 dBm Noise level:-256 dBm
Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
Tx excessive retries:0 Invalid misc:899820 Missed beacon:0[/quote]

Par contre, quand j’essaie de mettre le nom du wlan, ca ne donen rien:

[quote]tequila:/sbin# iwconfig wlan0 essid nemesis2
tequila:/sbin# iwconfig
lo no wireless extensions.

eth0 no wireless extensions.

sit0 no wireless extensions.

wlan0 IEEE 802.11g ESSID:off/any
Mode:Managed Frequency:2.437 GHz Access Point: 00:00:00:00:00:00
Bit Rate:54 Mb/s Tx-Power:16 dBm
RTS thr:2347 B Fragment thr:2346 B
Encryption key:A3C5-****-** Security mode:restricted
Power Management:off
Link Quality:100/100 Signal level:-10 dBm Noise level:-256 dBm
Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
Tx excessive retries:0 Invalid misc:918603 Missed beacon:0[/quote]
De même le scan du ssid ne donne rien:

[quote]tequila:/sbin# iwlist wlan0 scan
wlan0 No scan results[/quote]
Quand je boot sous Windoze, la connexion wifi fonctionne sans probleme.
Le broadcast ssid est activé sur mon point d’acces et je ne fais pas de filtrage par @MAC.

je suis sous Debian 2.6.10
Une idée ?

Merci


#2

attention, je suis complètement novice, d’autant plus que je n’ai pas de carte wifi sur aucun linux, mais si ca peut faire avancer le schmilblick …
as tu essayé en unmanaged ?
et des any, tant dans le essid qu’avec le paramètre ap ?
as tu essayé de passer par kwifimanager et kcmwifi pour tes tests de config ?
c’est bizarre, tout de même, car si je lis bien les messages iwconfig tu as un signal 100/100…
enfin…

PS: Pour ta gouverne :wink: tu n’es pas sous debian 2.6.10. Tu tournes avec un noyau 2.6.10, mais tu es sous debian 3.0 si tu es en woody, et en version non numérotée si tu es en sarge ou en sid.


#3

Bien sûr quand je disais ca, il fallait comprendre Debian + noyau 2.6.10 :smiley:

Pour ta proposition concernant le mode unmanaged, je n’ai pas le choix: dans une config où les machines sont reliées autour du AP pour avoir le net, il faut le mode managed.

Quand je lis [quote]Link Quality:100/100[/quote] cela signifie bien que ma carte recoit le signal avec une qualité de 100, non ? :unamused:


#4

ben, je n’en sais pas plus que toi, mais c’est aussi ce qui m’a semblé, c’est pour ca que je le faisais remarquer…


#5

je suis allé voir le man de iwconfig
delafond.org/traducmanfr/man … fig.8.html

J’ai trouvé ca:

[quote]Link quality
Qualité globale du lien. Peut être basée sur le niveau de contention ou des interférences, le taux d’erreur de trame ou de bit, la qualité du signal reçu, des synchronisations temporelles, ou autre métrique matérielle. C’est une valeur agrégat, et dépend totalement du pilote et du matériel.[/quote]


#6

Ouais, mais d’aprés la même page:

Access Point/Cell Une adresse égale à 00:00:00:00:00:00 signifie que la carte n'a pas réussi à s'associer avec un Point d'Accès (le plus souvent une question de configuration).
donc, l’ap n’est pas détecté.
As tu essayé de changer de channel ?

Sinon, j’ai remarqué que même aprés le ‘iwconfig ESSID nemesis2’, il t’annonce ensuite que l’ ESSID est off/any …
mais bon.


#7

Je viens de réessayer en désactivant le cryptage WEP au cas où…
Rien de mieux !

Comme le wifi marchait nickel sous Mandrake, je vais télécharger MandrakeMove et essayait de voir pkoi ca marche avec une distro et pas avec l’autre.


#8

J’ai trouvé cela par hasard si ca peux aider destination-linux.org/article27.html


#9

Apres avoir pris le temps sur une debian test d’installer le module ndiswrapper j’obtiens cette erreur la

debian:/usr/src/modules# dpkg -i ndiswrapper-modules-2.6.102.6.10-ash_1.0-1_i386.deb Selecting previously deselected package ndiswrapper-modules-2.6.102.6.10-ash. (Reading database ... 39059 files and directories currently installed.) Unpacking ndiswrapper-modules-2.6.102.6.10-ash (from ndiswrapper-modules-2.6.102.6.10-ash_1.0-1_i386.deb) ... dpkg: dependency problems prevent configuration of ndiswrapper-modules-2.6.102.6.10-ash: ndiswrapper-modules-2.6.102.6.10-ash depends on ndiswrapper-utils-1.0; however: Package ndiswrapper-utils-1.0 is not installed. dpkg: error processing ndiswrapper-modules-2.6.102.6.10-ash (--install): dependency problems - leaving unconfigured Errors were encountered while processing: ndiswrapper-modules-2.6.102.6.10-ash
Alors que le package ndiswrapper-utils-1.0 est installer via un apt-get install
que puis je faire pour remedier a cela?


#10

si tu es certain de ce que tu dis sur ndiswrapper-utils-1.0, tu peux forcer l’install des autres avec --force-depends (ou --force-all, au pire).
Mais pourquoi tu l’installes avec dpkg, et pas apt-get ?


#11

En fait j’ai installé les sources et recompilé avec mon noyau actuel je n’arrive pas a l’installer avec apt-get j’ai bien fait un apt-get install ndiswrapper mais ca ne m’a installé que les sources et impossible de le rajouté en module (modprobe ndiswrapper ne fonctionne pas) j’essaye et donne des nouvelles
merci


#12

Bon ben je force l’installation mais ca ne fonctionne pas :cry: l’install se finit mais m’indique toujours que le paquet ndiswrapper-utils-1.0 n’est pas installé

derriere me dis que je n’est pas la permission d’executer cette operation (je suis bien root)

un apt-get -f install m’indique que le module ndiswrapper est mal installé par manque de dependances qui n’est autre que ndiswrapper-utils-1.0

Tout apparement tourne autour de lui qui est normalement installé mais non detecté visiblement je m’y perd :confused:


#13

je n’avais pas compris que tu avais installé la dépendance en source.
soit tu fais les deux en source, soit tu fais les deux avec apt. je comprends mieux pourquoi apt ne voyait pas la dépendance…


#14

j’ai installé ndiswrapper-utils-1.0 par apt-get

j’ai installé aussi les sources par apt-get

Puis j’ai compiler les sources de ndiswrappers pour en faire un module et je l’installe avec dpkg

Je devrais donc desinstaller ndiswrapper-utils et recompiler les sources ou je peux installé le module recompilé par apt-get??


#15

ENFIN,

il faut que cette apresm me porte chance :smiley:
J’ai résolu mon probleme de WIFI.

La solution: un vendeur de merde :imp:
Il m’avait filé des drivers soit-disants spéciaux pour Linux…

Résultat, j’essaie avec le CD original linksys d’un pote: tout marche nickel !
YEESSSSS !

Merci pour tout